Class CMDConfigurations
java.lang.Object
fr.mines_stetienne.ci.sparql_generate.cli.CMDConfigurations
- Author:
- Maxime Lefrançois
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringbstatic final Stringbasestatic final StringBase URI of the working directory.static final Stringbindstatic final StringBinds a query parameter to a RDF termstatic final Stringdtstatic final Stringdebug-templatestatic final StringDebug the template output: insert warning identifiers that refer to the log.static final Stringdstatic final String.static final Stringdirstatic final StringLocation of the directory with the queryset, documentset, dataset, and configuration files as explained in https://w3id.org/sparql-generate/language-cli.html.static final Stringxstatic final Stringstatic final Stringhdtstatic final Stringhdtstatic final StringGenerate output as HDT.static final Stringhstatic final Stringhelpstatic final StringShow helpstatic final Stringfstatic final Stringlog-filestatic final StringLocation where the log is to be stored.static final Stringlstatic final Stringlog-levelstatic final StringSet log level, acceptable values are TRACE invalid input: '<' DEBUG invalid input: '<' INFO invalid input: '<' WARN invalid input: '<' ERROR invalid input: '<' OFF.static final Stringstatic final Stringstatic final Stringostatic final Stringoastatic final Stringoutput-appendstatic final StringWrite from the end of the output file, instead of replacing it.static final Stringofstatic final Stringoutput-formatstatic final StringFormat of the output file, e.g.static final Stringoutputstatic final StringLocation where the output is to be stored.static final Stringqstatic final Stringquery-filestatic final StringName of the query file in the directory.static final StringDeprecated.static final StringDeprecated.static final Stringsstatic final Stringstreamstatic final StringGenerate output as stream.static final Stringstatic final Stringsyntaxstatic final StringJust validate the query, do nothing elsestatic final Stringstatic final String -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionstatic voidstatic org.apache.commons.cli.Optionsstatic org.apache.commons.cli.CommandLineparseArguments(String[] args)
-
Field Details
-
ARG_HELP
h- See Also:
-
ARG_HELP_LONG
help- See Also:
-
ARG_HELP_MAN
Show help- See Also:
-
ARG_DIRECTORY
d- See Also:
-
ARG_DIRECTORY_LONG
dir- See Also:
-
ARG_DIRECTORY_DEFAULT
.- See Also:
-
ARG_DIRECTORY_MAN
Location of the directory with the queryset, documentset, dataset, and configuration files as explained in https://w3id.org/sparql-generate/language-cli.html. Default value is . (the current folder)- See Also:
-
ARG_BASE
b- See Also:
-
ARG_BASE_LONG
base- See Also:
-
ARG_BASE_MAN
Base URI of the working directory. If set, each file in the working directory is identified by a URI resolved against the base.- See Also:
-
ARG_QUERY
q- See Also:
-
ARG_QUERY_LONG
query-file- See Also:
-
ARG_QUERY_MAN
Name of the query file in the directory. Default value is ./query.rqg- See Also:
-
ARG_OUTPUT
o- See Also:
-
ARG_OUTPUT_LONG
output- See Also:
-
ARG_OUTPUT_MAN
Location where the output is to be stored. By default the output is stored in a file with the same name as the query and the extension '.out'.- See Also:
-
ARG_OUTPUT_APPEND
oa- See Also:
-
ARG_OUTPUT_APPEND_LONG
output-append- See Also:
-
ARG_OUTPUT_APPEND_MAN
Write from the end of the output file, instead of replacing it.- See Also:
-
ARG_OUTPUT_FORMAT
of- See Also:
-
ARG_OUTPUT_FORMAT_LONG
output-format- See Also:
-
ARG_OUTPUT_FORMAT_MAN
Format of the output file, e.g. TTL, NT, etc. for GENERATE, or TEXT, XML, CSV, etc. for SELECT.- See Also:
-
ARG_SOURCE_LONG
Deprecated.source- See Also:
-
ARG_SOURCE_MAN
Deprecated.Replacesin a SOURCE clause with the given value, e.g. urn:sg:source=source.json. - See Also:
-
ARG_STREAM
s- See Also:
-
ARG_STREAM_LONG
stream- See Also:
-
ARG_STREAM_MAN
Generate output as stream.- See Also:
-
ARG_HDT
hdt- See Also:
-
ARG_HDT_LONG
hdt- See Also:
-
ARG_HDT_MAN
Generate output as HDT.- See Also:
-
ARG_LOG_LEVEL
l- See Also:
-
ARG_LOG_LEVEL_LONG
log-level- See Also:
-
ARG_LOG_LEVEL_MAN
Set log level, acceptable values are TRACE invalid input: '<' DEBUG invalid input: '<' INFO invalid input: '<' WARN invalid input: '<' ERROR invalid input: '<' OFF. No value or unrecognized value results in level DEBUG- See Also:
-
ARG_LOG_FILE
f- See Also:
-
ARG_LOG_FILE_LONG
log-file- See Also:
-
ARG_LOG_FILE_MAN
Location where the log is to be stored. Log also goes to the console.- See Also:
-
ARG_DEBUG_TEMPLATE
dt- See Also:
-
ARG_DEBUG_TEMPLATE_LONG
debug-template- See Also:
-
ARG_DEBUG_TEMPLATE_MAN
Debug the template output: insert warning identifiers that refer to the log.- See Also:
-
ARG_BIND_LONG
bind- See Also:
-
ARG_BIND_MAN
Binds a query parameter to a RDF term- See Also:
-
ARG_FAIL_ON_MISSING_LONG
x- See Also:
-
ARG_FAIL_ON_MISSING_MAN
- See Also:
-
ARG_TIME_LIMIT_LONG
- See Also:
-
ARG_TIME_LIMIT_MAN
- See Also:
-
ARG_MAX_TRIPLES_LONG
- See Also:
-
ARG_MAX_TRIPLES_MAN
- See Also:
-
ARG_SYNTAX
- See Also:
-
ARG_SYNTAX_LONG
syntax- See Also:
-
ARG_SYNTAX_MAN
Just validate the query, do nothing else- See Also:
-
-
Constructor Details
-
CMDConfigurations
public CMDConfigurations()
-
-
Method Details
-
parseArguments
public static org.apache.commons.cli.CommandLine parseArguments(String[] args) throws org.apache.commons.cli.ParseException - Throws:
org.apache.commons.cli.ParseException
-
getCMDOptions
public static org.apache.commons.cli.Options getCMDOptions() -
displayHelp
public static void displayHelp()
-